Package org.apache.maven.scm.provider.synergy.repository

## Class SynergyScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.synergy.repository.SynergyScmProviderRepository

    public class SynergyScmProviderRepository
    extends ScmProviderRepository

Author:
  Julien Henry

### Constructor Summary

Constructors
`SynergyScmProviderRepository​(java.lang.String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getInstance()`
`java.lang.String` `getProjectName()`
`java.lang.String` `getProjectPurpose()`
`java.lang.String` `getProjectRelease()`
`java.lang.String` `getProjectSpec()`
`java.lang.String` `getProjectVersion()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyScmProviderRepository

    public SynergyScmProviderRepository​(java.lang.String url)
                                 throws ScmRepositoryException

Parameters:
  `url` - format is project_name|delimiter|project_version|Release|Purpose|instance
Throws:
  `ScmRepositoryException`

### Method Detail

#### getProjectSpec

    public java.lang.String getProjectSpec()

#### getProjectName

    public java.lang.String getProjectName()

#### getProjectVersion

    public java.lang.String getProjectVersion()

#### getProjectPurpose

    public java.lang.String getProjectPurpose()

Returns:
  the project_purpose

#### getProjectRelease

    public java.lang.String getProjectRelease()

Returns:
  the project_release

#### getInstance

    public java.lang.String getInstance()

Returns:
  the instance